package kcg.faics.fa.service.impl;

import java.util.HashMap;
import java.util.List;

import kcg.faics.fa.vo.EduSearchVO;
import kcg.faics.fa.vo.EduVO;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractMapper;

/**
 * 교육현황 Mapper.
 * 
 * @author kimnomin
 *
 */
@Repository("eduMapper")
public class EduMapper extends EgovAbstractMapper {
	/**
	 * 교육현황을 입력한다.
	 * 
	 * @param vo 입력할 VO
	 * @return 1:성공, else:실패
	 * @throws Exception 기본예외처리
	 */
	public int insert(final EduVO vo) throws Exception {
		return insert("Edu.insert", vo);
	}
	
	/**
	 * 교육현황 정보 한 건을 반환한다.
	 * 
	 * @param vo
	 *            조회할 교육현황 VO
	 * @return 교육현황 정보 한 건
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public EduVO select(final EduVO vo) throws Exception {
		return selectOne("Edu.select", vo);
	}
	
	/**
	 * 교육현황 목록을 반환한다.
	 * 
	 * @param searchVO
	 *            검색조건 VO
	 * @return 교육현황 목록
	 */
	public List<EduVO> selectList(final EduSearchVO searchVO) {
		return selectList("Edu.selectList", searchVO);
	}
	
	/**
	 * 교육현황 정보를 수정한다.
	 * 
	 * @param vo
	 *            교육현황 VO
	 * @return 수정된 레코드 개수
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public int update(final EduVO vo) throws Exception {
		return update("Edu.update", vo);
	}
	
	/**
	 * 교육현황 정보를 삭제한다.
	 * 
	 * @param vo
	 *            교육현황 VO
	 * @return 삭제된 레코드 개수
	 * @throws Exception
	 *             기본 예외 처리
	 */
	public int delete(final EduVO vo) throws Exception {
		return delete("Edu.delete", vo);		
	}
}
